using namespace std;
#define endl "\n"


int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int T;
    cin >> T;
    for(int p = 1; p <= T; p++){
        vector<long long int> A;
        vector<long long int> B;
        vector<int> C;
        bool d = true;
        int N;
        long long int a, b;
        cin >> N;
        for(int i = 0; i < N; i++){
            C.push_back(0);
        }
        for(int i = 0; i < N; i++){
            cin >> a;
            A.push_back(a);
        }
        for(int i = 0; i < N; i++){
            cin >> b;
            B.push_back(b);
        }
        for(int i = 0; i < N; i++){
            for(int j = 0; j < N; j++){
                if(A[i] == B[j]){
                    if((i % 2) == (j % 2)){
                        C[i] = 1;
                    }
                }
                else if(A[i] == (-1 * B[j])){
                    if((i % 2) != (j % 2)){
                        C[i] = 1;
                    }
                }
            }
        }
        for(int i = 0; i < N; i++){
            if(C[i] == 0){
                d = false;
            }
        }
        if(d) cout << "DA" << endl;
        else cout << "NE" << endl;
    }
}